Bug 1291483 - epel7 yaws FTBFS on aarch64
epel7 yaws FTBFS on aarch64
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: yaws (Show other bugs)
epel7
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Filip Andres
Fedora Extras Quality Assurance
:
Depends On: 1243784
Blocks: epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-14 17:53 EST by Yaakov Selkowitz
Modified: 2016-05-16 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: yaws-1.98-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 15:05:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-14 17:53:44 EST
yaws-1.98-5.el7 FTBFS on aarch64 as the -m64 flag is not supported by gcc (aarch64 is 64-bit but not a multilib arch).  Either configure* need to be patched to set CBIT= (empty), as was done for s390 wrt -m32, or rebasing to 2.0 fixes this without any patch.
Comment 1 Yaakov Selkowitz 2016-04-28 15:37:58 EDT
Build on ppc64le failed when building the docs (of all things...):

https://kojipkgs.fedoraproject.org//work/tasks/8049/13838049/build.log

epstopdf a.eps
epstopdf ($Id: epstopdf.pl 26570 2012-05-22 16:14:37Z karl $) 2.18
!!! Error: Writing to gs failed, signal 11

Doesn't look like that's getting fixed until 7.3, so I'll just disable the docs on ppc64le for now.
Comment 2 Fedora Update System 2016-04-28 15:58:08 EDT
yaws-1.98-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ff7262cf2
Comment 3 Fedora Update System 2016-04-30 00:23:39 EDT
yaws-1.98-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ff7262cf2
Comment 4 Fedora Update System 2016-05-16 15:05:27 EDT
yaws-1.98-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.